﻿// -*- Encoding: UTF-8 -*-
#ifndef B_I2CDRIVER_H_
#define B_I2CDRIVER_H_
#include <stdbool.h>

// I2Cトランザ
#define I2CDRIVER_WRITE_DATA_MAX   1

void InitializeI2C(void);
bool I2CRegRead(uint8_t devAddr, uint8_t regAddr,
                void* readData, uint8_t readSize);
bool I2CRegWrite(uint8_t devAddr, uint8_t regAddr,
                 const void *writeData, uint8_t writeSize);
bool I2CRegWriteByte(uint8_t devAddr, uint8_t regAddr, uint8_t data);


#endif
