#include "FreeRTOSCommon.h"
#include "LPC11Uxx.h"
#include "ConstMem.h"

static uint8_t mConstMem[CONST_MEM_SIZE] __attribute__((section(".RamCon")));

void SetupNormalModeHeap(void)
{
  SetupHeap((uint32_t)mConstMem, NORMAL_MODE_HEAP_SIZE);
}

void SetupUsbModeHeap(void)
{
  SetupHeap((uint32_t)mConstMem + USB_MEM_TOTAL_SIZE, USB_MODE_HEAP_SIZE);
}

void InitializeConstMem(void)
{
  LPC_SYSCON->SYSAHBCLKCTRL |= (1 << 27);            // USBRAM Enable
}

