#ifndef FREERTOS_COMMON_H_
#define FREERTOS_COMMON_H_

#include "FreeRTOS.h"
#include "task.h"
#include "queue.h"
#include "semphr.h"
#include "timers.h"
#include "DebugPrint.h"

#include <stdint.h>
#include <stdbool.h>

#define  APP_NORMAL_PRIORITY   (tskIDLE_PRIORITY + 1)
#define  APP_HIGH_PRIORITY     (tskIDLE_PRIORITY + 2)

// heap_1.c
void SetupHeap(uint32_t baseAddr, uint32_t size);

#endif
